

DROP PROCEDURE Copiar_Temporal_A_OP_CCSALESPERSONDETProc
GO
CREATE PROCEDURE Copiar_Temporal_A_OP_CCSALESPERSONDETProc
(
	@SITEID		UD_IDSITE,
	@DATEPROCE	UD_FECHA,
	@CORRNBR	INT
)
AS
BEGIN
	BEGIN TRAN

	/* ELIMINANDO REGISTROS DE DETALLE */

	DELETE 
	FROM OP_CCSALESPERSONDET
	WHERE SITEID=@SITEID AND DATEPROCE=@DATEPROCE 

	IF(@@ERROR!=0 OR @@ROWCOUNT=0)
	BEGIN
		ROLLBACK
		RAISERROR 20000 'Error Insertando en OP_CCSALESPERSONDET'
		RETURN(1)
	END

	/* INSERTANDO REGISTROS DE DETALLE */

	INSERT INTO OP_CCSALESPERSONDET(SITEID,DATEPROCE,SALESPERID,CCSALESPERSONTYPEID,TOTALPEN,TOTALUSD,OBS)
	SELECT SITEID,DATEPROCE,SALESPERID,CCSALESPERSONTYPEID,TOTALPEN,TOTALUSD,OBS 
	FROM TMP_OP_CCSALESPERSONDET 
	WHERE CORRNBR=@CORRNBR AND SITEID=@SITEID AND DATEPROCE=@DATEPROCE 

	IF(@@ERROR!=0 OR @@ROWCOUNT=0)
	BEGIN
		ROLLBACK
		RAISERROR 20000 'Error Insertando en OP_CCSALESPERSONDET'
		RETURN(1)
	END

	COMMIT TRAN 
	RETURN(0)
END 

SELECT * FROM TMP_OP_CCSALESPERSONDET